# $Revision: 1.18 $, $Date: 2011/12/15 19:56:03 $
Summary:	GNU-EFI - building EFI applications using the GNU toolchain
Summary(pl.UTF-8):	GNU-EFI - tworzenie aplikacji EFI przy użyciu narzędzi GNU
Name:		gnu-efi
# NOTE: don't use 3.1, it doesn't support EFI x86_64
Version:	3.0p
Release:	1
# Intel and HP's BSD-like license, except setjmp code coming from GRUB
License:	GPL v2+ (setjmp code), BSD-like (all the rest)
Group:		Development/Libraries
Source0:	http://downloads.sourceforge.net/gnu-efi/%{name}_%{version}.orig.tar.gz
# Source0-md5:	795503baf5593a2ee9f253c50adbc7f5
URL:		http://gnu-efi.sourceforge.net/
BuildRequires:	binutils >= 3:2.17.50.0.14
BuildRequires:	gcc >= 6:4.1.1
Requires:	binutils >= 3:2.17.50.0.14
Requires:	gcc >= 6:4.1.1
ExclusiveArch:	%{ix86} %{x8664} ia64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags_ia64	-frename-registers

%description
GNU-EFI development environment allows to create EFI applications for
IA-64 and x86 platforms using the GNU toolchain.

%description -l pl.UTF-8
Środowisko programistyczne GNU-EFI umożliwia tworzenie aplikacji EFI
dla platform IA-64 i x86 przy użyciu narzędzi GNU.

%prep
%setup -q -n %{name}-3.0

%build
%ifarch %{x8664}
CFADD=" -DEFI_FUNCTION_WRAPPER -mno-red-zone"
%else
%ifarch ia64
CFADD=" -mfixed-range=f32-f127"
%else
CFADD=
%endif
%endif
%{__make} -j1 \
	ARCH=$(echo %{_target_base_arch} | sed -e 's/i386/ia32/') \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -fpic -Wall -fshort-wchar -fno-strict-aliasing -fno-merge-constants -fno-stack-protector$CFADD" \
	OBJCOPY=objcopy

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	INSTALLROOT=$RPM_BUILD_ROOT%{_prefix}

%if "%{_lib}" != "lib"
	mv -f $RPM_BUILD_ROOT%{_prefix}/{lib,%{_lib}}
%endif

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a apps/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README.*
%{_libdir}/libefi.a
%{_libdir}/libgnuefi.a
%{_libdir}/crt0-efi-*.o
%{_libdir}/elf_*_efi.lds
%{_includedir}/efi
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnu-efi.spec,v $
Revision 1.18  2011/12/15 19:56:03  qboosh
- updated to 3.0p

Revision 1.17  2011/09/09 19:46:12  qboosh
- updated to 3.0m
- removed obsolete pciio patch

Revision 1.16  2011/07/31 18:46:49  qboosh
- updated License note

Revision 1.15  2011/07/31 18:43:39  qboosh
- updated to 3.0l
- added pciio patch with missing file (efipciio.h)

Revision 1.14  2011/04/21 18:12:29  qboosh
- updated to 3.0k

Revision 1.13  2010/09/25 06:18:45  qboosh
- updated to 3.0j

Revision 1.12  2008/09/11 19:56:11  qboosh
- updated to 3.0e2

Revision 1.11  2007/11/30 17:26:41  qboosh
- i386 needs ARCH=ia32
- release 2

Revision 1.10  2007-11-30 16:32:00  qboosh
- fixed build on x86_64
- use ARCH= to override uname (to allow building i686 package on x86_64 host)

Revision 1.9  2007-11-29 23:03:08  qboosh
- binutils epoch

Revision 1.8  2007-11-29 22:05:58  qboosh
- ...and gcc

Revision 1.7  2007-11-29 22:05:03  qboosh
- updated binutils dep for EFI x86_64

Revision 1.6  2007-11-29 21:59:45  qboosh
- new URLs
- updated to 3.0d, includes x86_64 support at last

Revision 1.5  2007-02-13 07:16:47  glen
- tabs in preamble

Revision 1.4  2007/02/12 00:48:53  baggins
- converted to UTF-8

Revision 1.3  2006/04/03 20:55:05  qboosh
- updated to 3.0c (gcc 4.1 support)

Revision 1.2  2004/12/03 19:55:12  qboosh
- release 2 - didn't build with binutils 2.15.92.0.2, builds with 2.15.94.0.1

Revision 1.1  2004/11/27 20:58:34  qboosh
- new
